%define name treeline
%define version 1.4.1
%define release %mkrel 2

Summary: Versatile Tree-Style Outliner for Defining Custom Data Schemas
Summary(de): Vielseitiger Editor zu Erstellen von Gliederungen im Baumstil für das Definieren von eigenen Datenschemata
Name:	%{name}
Version: %{version}
Release: %{release}
URL:	http://www.bellz.org/treeline/
Source:	http://www.bellz.org/treeline/%{name}-%{version}.tar.xz
Source1: treeline.desktop
Source2: x-treeline.desktop
Source3: x-treeline-gz.desktop
Source4: x-treepad.desktop
Source5: treeline.png
Source6: http://bellz.org/treeline/%{name}-i18n-%{version}a.tar.xz
Group:	Office
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: python 
BuildRequires: aspell 
BuildRequires: desktop-file-utils 
BuildRequires: python-qt4 
BuildRequires: python-pyxml
Requires: python-pyxml
Requires: python 
Requires: aspell
Requires: python-qt4


%description
TreeLine is a versatile tool for working with all kind of information
that fits into a tree-like structure.

It can be used to edit bookmark files, create mini-databases (e.g., for
addresses, tasks, records, CDs, etc.), outline documents, or just
collect ideas. It can also be used as a generic editor for XML files.

The data schemas for any node in the data tree can be customized and
new types of nodes can be defined. The way data is presented on the
screen, exported to HTML, or printed can be defined with HTML-like
templates. Plug-ins can be written to load and save data from and to
custom file formats or external data sources and extend the
functionality of TreeLine.

%description -l de
TreeLine ist ein vielseitiges Werkzeug für das Arbeiten mit jeder Art von Information,
die in eine baumartige Struktur passt.

Es kann benutzt werden um Lesezeichendateien zu bearbeiten, kleine Minidatenbanken zu
erstellen (z.B. für Adressen, Aufgaben, Aufnahmen, CDs, etc.), Übersichtsdokumente oder
nur eine Sammlung von Ideen. Es kann auch als generischer Editor für XML-Dateien
benutzt werden.

Die Datenschemata für jeden Knoten im Datenbaum können verändert werden und es können
neue Typen von Knoten definiert werden. Der Weg wie Daten auf dem Bildschirm angezeigt,
nach HTML eportiert oder gedruckt werden, kann mit HTML-artigen Vorlagedateien definiert
werden. Erweiterungen können geschrieben werden um Daten in eigenen Dateiformaten
zu schreiben und zu laden oder um die Funktionalität von TreeLine zu erweitern.


%prep
%setup -q -n TreeLine
pushd ..
%__tar Jxf "%{SOURCE6}"
popd

%build

%install
%__python install.py -x \
   -p "%{_prefix}" \
   -d "%{_docdir}/treeline" \
   -b "%{buildroot}"
%__install -d "%{buildroot}%{_datadir}/mimelnk/application"
%__install -m 0644 "%{SOURCE2}" "%{SOURCE3}" "%{SOURCE4}" \
	"%{buildroot}%{_datadir}/mimelnk/application/"
%__install -D -m 0644 "%{SOURCE5}" "%{buildroot}%{_datadir}/pixmaps/treeline.png"
%__install -D -m 0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/treeline.desktop"


echo -n > treeline.lang
LANGFILE=$PWD/treeline.lang
pushd "%{buildroot}"
find ".%{_libdir}/treeline/translations/" -type f | while read f; do
	b=${f##*/}
	x=${b##*_}
	l=${x%%.*}
	echo "%lang(${l}) %{_libdir}/treeline/translations/${b}" >> "$LANGFILE"
done
popd


%find_lang %{name}


%clean
rm -rf %{buildroot}

%post
%{update_menus}



%postun
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/treeline
%{_bindir}/treeline
#%{_libdir}/%{name}
%{_datadir}/icons/treeline
%{_datadir}/mimelnk/application/*
%{_datadir}/%{name}
%{_datadir}/applications/treeline.desktop
%{_datadir}/pixmaps/treeline.png
/usr/lib/treeline/cmdline.py
/usr/lib/treeline/cmdline.pyc
/usr/lib/treeline/conditional.py
/usr/lib/treeline/conditional.pyc
/usr/lib/treeline/configdialog.py
/usr/lib/treeline/configdialog.pyc
/usr/lib/treeline/fieldformat.py
/usr/lib/treeline/fieldformat.pyc
/usr/lib/treeline/genboolean.py
/usr/lib/treeline/genboolean.pyc
/usr/lib/treeline/gendate.py
/usr/lib/treeline/gendate.pyc
/usr/lib/treeline/gennumber.py
/usr/lib/treeline/gennumber.pyc
/usr/lib/treeline/gentime.py
/usr/lib/treeline/gentime.pyc
/usr/lib/treeline/globalref.py
/usr/lib/treeline/globalref.pyc
/usr/lib/treeline/helpview.py
/usr/lib/treeline/helpview.pyc
/usr/lib/treeline/icondict.py
/usr/lib/treeline/icondict.pyc
/usr/lib/treeline/nodeformat.py
/usr/lib/treeline/nodeformat.pyc
/usr/lib/treeline/numbering.py
/usr/lib/treeline/numbering.pyc
/usr/lib/treeline/option.py
/usr/lib/treeline/option.pyc
/usr/lib/treeline/optiondefaults.py
/usr/lib/treeline/optiondefaults.pyc
/usr/lib/treeline/optiondlg.py
/usr/lib/treeline/optiondlg.pyc
/usr/lib/treeline/output.py
/usr/lib/treeline/output.pyc
/usr/lib/treeline/p3.py
/usr/lib/treeline/p3.pyc
/usr/lib/treeline/plugininterface.py
/usr/lib/treeline/plugininterface.pyc
/usr/lib/treeline/printdata.py
/usr/lib/treeline/printdata.pyc
/usr/lib/treeline/printdialogs.py
/usr/lib/treeline/printdialogs.pyc
/usr/lib/treeline/recentfiles.py
/usr/lib/treeline/recentfiles.pyc
/usr/lib/treeline/setup.py
/usr/lib/treeline/setup.pyc
/usr/lib/treeline/spellcheck.py
/usr/lib/treeline/spellcheck.pyc
/usr/lib/treeline/translations/qt_de.qm
/usr/lib/treeline/translations/qt_de.ts
/usr/lib/treeline/translations/qt_fr.qm
/usr/lib/treeline/translations/qt_fr.ts
/usr/lib/treeline/translations/treeline_de.qm
/usr/lib/treeline/translations/treeline_de.ts
/usr/lib/treeline/translations/treeline_fr.qm
/usr/lib/treeline/translations/treeline_fr.ts
/usr/lib/treeline/treecontrol.py
/usr/lib/treeline/treecontrol.pyc
/usr/lib/treeline/treedialogs.py
/usr/lib/treeline/treedialogs.pyc
/usr/lib/treeline/treedoc.py
/usr/lib/treeline/treedoc.pyc
/usr/lib/treeline/treeeditviews.py
/usr/lib/treeline/treeeditviews.pyc
/usr/lib/treeline/treeflatview.py
/usr/lib/treeline/treeflatview.pyc
/usr/lib/treeline/treeformats.py
/usr/lib/treeline/treeformats.pyc
/usr/lib/treeline/treeitem.py
/usr/lib/treeline/treeitem.pyc
/usr/lib/treeline/treeline.pro
/usr/lib/treeline/treeline.py
/usr/lib/treeline/treeline.pyc
/usr/lib/treeline/treemainwin.py
/usr/lib/treeline/treemainwin.pyc
/usr/lib/treeline/treerightviews.py
/usr/lib/treeline/treerightviews.pyc
/usr/lib/treeline/treeselection.py
/usr/lib/treeline/treeselection.pyc
/usr/lib/treeline/treeview.py
/usr/lib/treeline/treeview.pyc
/usr/lib/treeline/treexmlparse.py
/usr/lib/treeline/treexmlparse.pyc
/usr/lib/treeline/undo.py
/usr/lib/treeline/undo.pyc


%changelog
* Fri Aug 16 2013 billybot <billybot> 1.4.1-2pclos2013
- update python 2.7

* Sun Jul 22 2012 Neal <nealbrks0 at gmail dot com> 1.4.1-1pclos2012
- process

* Sun Jul 22 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.4.1-1pclos2012
- 1.4.1
- added xz compression
- renamed spec to pclos-treeline.spec
- added german summary and description
- fixed %__tar line for uncompressing xz archive

* Fri Feb 05 2010 slick50 <lxgator@gmail.com> 1.2.4-1pclos2010
- initial pkg
